Subject: [bug#60827] [PATCH v2] gnu: Add dozenal.

From: Bruno Victal <[email-masked]>
Date: Mon, 23 Jan 2023 21:38:06 +0000

Hi,

On 2023-01-23 21:02, Jake Leporte wrote:
> +                          (add-after 'install-html-docs 'split-outputs
> +                            (lambda* (#:key inputs outputs #:allow-other-keys)
> +                              (let* ((out (assoc-ref outputs "out"))
> +                                     (gui (assoc-ref outputs "gui"))
> +                                     (perl-tk (assoc-ref inputs "perl-tk"))
> +                                     (perl-par (assoc-ref inputs "perl-par"))
> +                                     (perl-dir "/lib/perl5/site-perl")
> +                                     (ptk (string-append perl-tk perl-dir))
> +                                     (pp (string-append perl-par perl-dir)))

This part can be written with G-Expressions too, they would correspond to:
out -> #$output  (no change)
gui -> #$output:gui

See the G-Expressions section from the manual and the libavif package definition for an example.

Cheers,
Bruno